<div class="twoclick-video">
    <f:variable name="imageUrl" value="{f:uri.image(image:file, height:height, width: width)}" />
    <div id="overlay-{uniqueId}" class="twoclick-video-overlay" style="background-size: 100% 100%;background-image:url({imageUrl})">
        <div class="inner">
            <p>
                <strong>Externes Vimeo Video.</strong></br>
                <span>Wenn Sie Vimeo nutzen, werden Cookies aktiviert, die für die Nutzung von Vimeo nötig sind. Diese Cookies übertragen einzelne Nutzerdaten an Vimeo. Mit der Nutzung von Vimeo erklären Sie sich automatisch damit einverstanden.</span>
            </p>
            <div class="button button--primary o-btn o-btn--full">Klicken um das Video zu laden</div>
        </div>
    </div>
    {html -> f:format.raw()}
</div>

<style type="text/css">
    .twoclick-video {
        height: 100%;
    }
    .twoclick-video-overlay {
        background: #ccc;
        border: 1px solid #eee;
        cursor: pointer;
    }

    .twoclick-video-overlay .inner {
        text-align: center;
        margin: 20% 0;
        padding: 20px;
        position: relative;
        color: white;
        background-color: rgba(0, 0, 0, .7);
    }
</style>
<script type="text/javascript">
    document.addEventListener('DOMContentLoaded', function () {
        var overlay = document.getElementById('overlay-{uniqueId}');
        overlay.onclick = function () {
            overlay.style.display = 'none';
            var el = document.getElementById('iframe-{uniqueId}');
            el.setAttribute('src', el.getAttribute('data-src'));
            el.removeAttribute('style');
        }
    });
</script>
